> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Results

> Get test results for a test suite

## Request

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

<ParamField path="testSuiteId" type="string" required>The test suite ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of test result objects, each including `testCaseResults` with nested `criteriaResults`.
</ResponseField>

### Example

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": [
    {
      "id": "test-result-uuid",
      "testSuiteId": "test-suite-uuid",
      "projectId": "project-uuid",
      "name": "Run #1",
      "status": "completed",
      "startedAt": "2026-03-23T00:00:00.000Z",
      "completedAt": "2026-03-23T00:01:00.000Z",
      "testCaseResults": [
        {
          "id": "test-case-result-uuid",
          "testResultId": "test-result-uuid",
          "testCaseId": "test-case-uuid",
          "status": "passed",
          "messages": [],
          "criteriaResults": [
            {
              "id": "criteria-result-uuid",
              "testCaseResultId": "test-case-result-uuid",
              "criterionId": "criterion-uuid",
              "passed": true,
              "reason": "Agent greeted the user correctly"
            }
          ]
        }
      ],
      "createdAt": "2026-03-23T00:00:00.000Z",
      "updatedAt": "2026-03-23T00:01:00.000Z"
    }
  ]
}
```
